--====================================================================--
-- EuGTK - copyright 2012 by Irv Mullins, released under the LGPL
--====================================================================--

-- This file contains enumerated GTK constants and types. 

namespace enums



ifdef WINDOWS then
	export constant 	version = "4.5.9_w32"
elsedef 
	export constant 	version = "4.5.9"
end ifdef


public constant LGPL = 
"This library is free software; you can redistribute it "				&
"and/or modify it under the terms of the GNU Lesser General "			&
"Public License as published by the Free Software Foundation; "			&
"either version 2 of the License, or (at your option) any later "		&
"version. "																&
"\n\n"																	&
"This library is distributed in the hope that it will be useful, "		&
"but WITHOUT ANY WARRANTY; without even the implied warranty of "		&
"MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. "					&
"See the GNU Lesser General Public License for more details. "			&
"\n\n"																	&
"You should have received a copy of the GNU Lesser General Public "		&
"License along with this library; if not, write to the Free Software "	&
"Foundation, Inc., 59 Temple Pl, Suite 330, Boston, MA  02111-1307 USA "&
"http://www.gnu.org/licenses/gpl.html "

-----------------------------------------------------------------
-- GTK variable types - need these when using ListViews/TreeViews
------------------------------------------------------------------
public enum
	gINVALID,	 -- crashes GTK, never use!
	gVOID 		= 4, 	gINTERFACE 	= 8, 	gCHAR 		= 12, 
	gUCHAR 		= 16, 	gBOOL 		= 20, 	gINT 		= 24, 
	gUINT 		= 28, 	gLONG 		= 32, 	gULONG 		= 36, 
	gINT64 		= 40, 	gUINT64		= 44, 	gENUM 		= 48, 
	gFLAGS 		= 52, 	gFLOAT 		= 56, 	gDOUBLE 	= 60, 
	gSTR 		= 64, 	gPTR 		= 68, 	gBOXED 		= 72, 
	gPARAM 		= 76, 	gOBJ 		= 80, 	gVARIANT	= 84  

------------------------------------------------------------------
-- Response codes (buttons, etc)
------------------------------------------------------------------
public enum
  MB_YES	= -8,	GTK_RESPONSE_YES			= MB_YES,
  MB_NO		= -9,	GTK_RESPONSE_NO				= MB_NO,
  MB_OK		= -5,	GTK_RESPONSE_OK				= MB_OK,
  MB_CANCEL	= -6,	GTK_RESPONSE_CANCEL			= MB_CANCEL,
  MB_CLOSE	= -7,	GTK_RESPONSE_CLOSE			= MB_CLOSE,
  MB_ABORT	= -4,	GTK_RESPONSE_DELETE_EVENT 	= MB_ABORT,
  MB_NONE	= -1,	GTK_RESPONSE_NONE			= MB_NONE,
  MB_REJECT = -2,	GTK_RESPONSE_REJECT			= MB_REJECT,
  MB_ACCEPT = -3,	GTK_RESPONSE_ACCEPT			= MB_ACCEPT,
  MB_APPLY  = -10,	GTK_RESPONSE_APPLY			= MB_APPLY,
  MB_HELP   = -11,	GTK_RESPONSE_HELP			= MB_HELP
  
-------------------------------------------------------------------------------------------
-- Cursors
-------------------------------------------------------------------------------------------
public enum by 2 
  GDK_X_CURSOR = 0,		GDK_ARROW,	 		GDK_BASED_ARROW_DOWN, 	GDK_BASED_ARROW_UP,
  GDK_BOAT, 			GDK_BOGOSITY, 		GDK_BOTTOM_LEFT_CORNER, GDK_BOTTOM_RIGHT_CORNER,
  GDK_BOTTOM_SIDE,	 	GDK_BOTTOM_TEE,		GDK_BOX_SPIRAL, 		GDK_CENTER_PTR,
  GDK_CIRCLE, 			GDK_CLOCK, 			GDK_COFFEE_MUG, 		GDK_CROSS, 
  GDK_CROSS_REVERSE,	GDK_CROSSHAIR, 		GDK_DIAMOND_CROSS, 		GDK_DOT, 
  GDK_DOTBOX, 			GDK_DOUBLE_ARROW,	GDK_DRAFT_LARGE, 		GDK_DRAFT_SMALL, 
  GDK_DRAPED_BOX, 		GDK_EXCHANGE,		GDK_FLEUR,				GDK_GOBBLER,
  GDK_GUMBY,			GDK_HAND1,			GDK_HAND2,				GDK_HEART,
  GDK_ICON,				GDK_IRON_CROSS,		GDK_LEFT_PTR,			GDK_LEFT_SIDE,
  GDK_LEFT_TEE,			GDK_LEFTBUTTON,		GDK_LL_ANGLE,			GDK_LR_ANGLE,
  GDK_MAN,				GDK_MIDDLEBUTTON,	GDK_MOUSE,				GDK_PENCIL,
  GDK_PIRATE,			GDK_PLUS,			GDK_QUESTION_ARROW,		GDK_RIGHT_PTR,
  GDK_RIGHT_SIDE,		GDK_RIGHT_TEE,		GDK_RIGHTBUTTON,		GDK_RTL_LOGO,
  GDK_SAILBOAT,			GDK_SB_DOWN_ARROW,	GDK_SB_H_DOUBLE_ARROW,	GDK_SB_LEFT_ARROW,
  GDK_SB_RIGHT_ARROW,	GDK_SB_UP_ARROW,	GDK_SB_V_DOUBLE_ARROW,	GDK_SHUTTLE,
  GDK_SIZING,			GDK_SPIDER,			GDK_SPRAYCAN,			GDK_STAR,
  GDK_TARGET,			GDK_TCROSS,			GDK_TOP_LEFT_ARROW,		GDK_TOP_LEFT_CORNER,
  GDK_TOP_RIGHT_CORNER,	GDK_TOP_SIDE,		GDK_TOP_TEE,			GDK_TREK,
  GDK_UL_ANGLE,			GDK_UMBRELLA,		GDK_UR_ANGLE,			GDK_WATCH,
  GDK_XTERM,
  GDK_LAST_CURSOR	= 153,
  GDK_BLANK_CURSOR	= -2,
  GDK_CURSOR_IS_PIXMAP	= -1
  
------------------------------------------------------------------------
-- All the rest 
------------------------------------------------------------------------
public enum
  GTK_LICENSE_UNKNOWN = 0,	GTK_LICENSE_CUSTOM,
  GTK_LICENSE_GPL_2_0,		GTK_LICENSE_GPL_3_0,
  GTK_LICENSE_LGPL_2_1,		GTK_LICENSE_LGPL_3_0,
  GTK_LICENSE_BSD,			GTK_LICENSE_MIT_X11,
  GTK_LICENSE_ARTISTIC,
 -- GtkAccelFlags;
  GTK_ACCEL_VISIBLE	= 1,
  GTK_ACCEL_LOCKED	= 2,
  GTK_ACCEL_MASK	= 7,
  
  GTK_ALIGN_FILL = 0,
  GTK_ALIGN_START,
  GTK_ALIGN_END,
  GTK_ALIGN_CENTER,
  
  GTK_ANCHOR_CENTER = 0,
  GTK_ANCHOR_NORTH,
  GTK_ANCHOR_NORTH_WEST,
  GTK_ANCHOR_NORTH_EAST,
  GTK_ANCHOR_SOUTH,
  GTK_ANCHOR_SOUTH_WEST,
  GTK_ANCHOR_SOUTH_EAST,
  GTK_ANCHOR_WEST,
  GTK_ANCHOR_EAST,
  GTK_ANCHOR_N = 1,
  GTK_ANCHOR_NW,
  GTK_ANCHOR_NE,
  GTK_ANCHOR_S,
  GTK_ANCHOR_SW,
  GTK_ANCHOR_SE,
  GTK_ANCHOR_W,
  GTK_ANCHOR_E,
    
  GTK_APPLICATION_INHIBIT_LOGOUT = 1,
  GTK_APPLICATION_INHIBIT_SWITCH = 2,
  GTK_APPLICATION_INHIBIT_SUSPEND = 4,
  GTK_APPLICATION_INHIBIT_IDLE = 8,
--GtkArrowType;
  GTK_ARROW_UP = 0,
  GTK_ARROW_DOWN,
  GTK_ARROW_LEFT,
  GTK_ARROW_RIGHT,
  GTK_ARROW_NONE,
--GtkArrowPlacement;      
  GTK_ARROWS_BOTH = 0,
  GTK_ARROWS_START,
  GTK_ARROWS_END,
  
  GTK_ASSISTANT_PAGE_CONTENT = 0,
  GTK_ASSISTANT_PAGE_INTRO,
  GTK_ASSISTANT_PAGE_CONFIRM,
  GTK_ASSISTANT_PAGE_SUMMARY,
  GTK_ASSISTANT_PAGE_PROGRESS,
--GtkAttachOptions;  
  GTK_EXPAND = 1,
  GTK_SHRINK = 2,
  GTK_FILL = 4,
--GtkBorderStyle;    
  GTK_BORDER_STYLE_NONE = 0,
  GTK_BORDER_STYLE_SOLID,
  GTK_BORDER_STYLE_INSET,
  GTK_BORDER_STYLE_OUTSET,
  
  GTK_BUTTONS_NONE = 0,
  GTK_BUTTONS_OK,
  GTK_BUTTONS_CLOSE,
  GTK_BUTTONS_CANCEL,
  GTK_BUTTONS_YES_NO,
  GTK_BUTTONS_OK_CANCEL,
--GtkButtonBoxStyle;  
  GTK_BUTTONBOX_DEFAULT_STYLE = 0,
  GTK_BUTTONBOX_SPREAD,
  GTK_BUTTONBOX_EDGE,
  GTK_BUTTONBOX_START,
  GTK_BUTTONBOX_END,
  GTK_BUTTONBOX_CENTER,
  
  GTK_CALENDAR_SHOW_HEADING = 1,
  GTK_CALENDAR_SHOW_DAY_NAMES = 2,
  GTK_CALENDAR_NO_MONTH_CHANGE = 4,
  GTK_CALENDAR_SHOW_WEEK_NUMBERS = 8,
  GTK_CALENDAR_SHOW_DETAILS = 16,
--GtkCornerType;
  GTK_CORNER_TOP_LEFT = 0,
  GTK_CORNER_BOTTOM_LEFT,
  GTK_CORNER_TOP_RIGHT,
  GTK_CORNER_BOTTOM_RIGHT,  
  
  GTK_CURVE_TYPE_LINEAR = 0,
  GTK_CURVE_TYPE_SPLINE,    
  GTK_CURVE_TYPE_FREE,
--GtkDeleteType;  
  GTK_DELETE_CHARS = 0,
  GTK_DELETE_WORD_ENDS,
  GTK_DELETE_WORDS,
  GTK_DELETE_DISPLAY_LINES,
  GTK_DELETE_DISPLAY_LINE_ENDS,
  GTK_DELETE_PARAGRAPH_ENDS,      
  GTK_DELETE_PARAGRAPHS,          
  GTK_DELETE_WHITESPACE,         

  GTK_DIALOG_MODAL  = 1,
  GTK_DIALOG_DESTROY_WITH_PARENT = 2, 
  GTK_DIALOG_NO_SEPARATOR = 4,
--GtkDirectionType;
  GTK_DIR_TAB_FORWARD = 0,
  GTK_DIR_TAB_BACKWARD,
  GTK_DIR_UP,
  GTK_DIR_DOWN,
  GTK_DIR_LEFT,
  GTK_DIR_RIGHT,
--GtkExpanderStyle;
  GTK_EXPANDER_COLLAPSED = 0,
  GTK_EXPANDER_SEMI_COLLAPSED,
  GTK_EXPANDER_SEMI_EXPANDED,
  GTK_EXPANDER_EXPANDED,

  GTK_FILE_CHOOSER_ACTION_OPEN = 0,
  GTK_FILE_CHOOSER_ACTION_SAVE,
  GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER,
  GTK_FILE_CHOOSER_ACTION_CREATE_FOLDER,
  
  GTK_ICON_SIZE_INVALID = 0,
  GTK_ICON_SIZE_MENU,
  GTK_ICON_SIZE_SMALL_TOOLBAR,
  GTK_ICON_SIZE_LARGE_TOOLBAR,
  GTK_ICON_SIZE_BUTTON,
  GTK_ICON_SIZE_DND,
  GTK_ICON_SIZE_DIALOG,
  
  GTK_ICON_LOOKUP_NO_SVG           = 1,
  GTK_ICON_LOOKUP_FORCE_SVG        = 2,
  GTK_ICON_LOOKUP_USE_BUILTIN      = 4,
  GTK_ICON_LOOKUP_GENERIC_FALLBACK = 8,
  GTK_ICON_LOOKUP_FORCE_SIZE       = 16,
  
  GTK_IMAGE_EMPTY = 0,
  GTK_IMAGE_PIXBUF,
  GTK_IMAGE_STOCK,
  GTK_IMAGE_ICON_SET,
  GTK_IMAGE_ANIMATION,
  GTK_IMAGE_ICON_NAME,
  GTK_IMAGE_GICON,
--GtkIMPreeditStyle;
  GTK_IM_PREEDIT_NOTHING = 0,
  GTK_IM_PREEDIT_CALLBACK,
  GTK_IM_PREEDIT_NONE,
--GtkIMStatsStyle;
  GTK_IM_STATUS_NOTHING = 0,
  GTK_IM_STATUS_CALLBACK,
  GTK_IM_STATUS_NONE,  
--GtkJustification;
  GTK_JUSTIFY_LEFT = 0,
  GTK_JUSTIFY_RIGHT,
  GTK_JUSTIFY_CENTER,
  GTK_JUSTIFY_FILL,  

  GTK_MATCH_ALL = 0,  
  GTK_MATCH_ALL_TAIL,  
  GTK_MATCH_HEAD,      
  GTK_MATCH_TAIL,      
  GTK_MATCH_EXACT,     
  GTK_MATCH_LAST,  

  GTK_PIXELS = 0,
  GTK_INCHES,
  GTK_CENTIMETERS,
    
  GTK_MESSAGE_INFO = 0,
  GTK_MESSAGE_WARNING,
  GTK_MESSAGE_QUESTION,
  GTK_MESSAGE_ERROR,
  GTK_MESSAGE_OTHER,
--GtkMovementStep;  
  GTK_MOVEMENT_LOGICAL_POSITIONS = 0, 
  GTK_MOVEMENT_VISUAL_POSITIONS,  
  GTK_MOVEMENT_WORDS,             
  GTK_MOVEMENT_DISPLAY_LINES,     
  GTK_MOVEMENT_DISPLAY_LINE_ENDS, 
  GTK_MOVEMENT_PARAGRAPHS,        
  GTK_MOVEMENT_PARAGRAPH_ENDS,    
  GTK_MOVEMENT_PAGES,	          
  GTK_MOVEMENT_BUFFER_ENDS,       
  GTK_MOVEMENT_HORIZONTAL_PAGES,  
--GtkOrientation; 
  GTK_ORIENTATION_HORIZONTAL = 0,
  GTK_ORIENTATION_VERTICAL,
--GtkPackType;  
  GTK_PACK_START = 0,
  GTK_PACK_END,
--GtkPathPriorityType;  
  GTK_PATH_PRIO_LOWEST		=  0,
  GTK_PATH_PRIO_GTK			=  4,
  GTK_PATH_PRIO_APPLICATION	=  8,
  GTK_PATH_PRIO_THEME		= 10,
  GTK_PATH_PRIO_RC			= 12,
  GTK_PATH_PRIO_HIGHEST		= 15,
--GtkPathType;
  GTK_PATH_WIDGET = 0,
  GTK_PATH_WIDGET_CLASS,
  GTK_PATH_CLASS,
--GtkPolicyType;  
  GTK_POLICY_ALWAYS = 0,
  GTK_POLICY_AUTOMATIC,
  GTK_POLICY_NEVER,
--GtkPositionType;  
  GTK_POS_LEFT = 0,
  GTK_POS_RIGHT,
  GTK_POS_TOP,
  GTK_POS_BOTTOM,  
    
  GTK_PROGRESS_LEFT_TO_RIGHT = 0,
  GTK_PROGRESS_RIGHT_TO_LEFT,
  GTK_PROGRESS_BOTTOM_TO_TOP,
  GTK_PROGRESS_TOP_TO_BOTTOM,
--GtkRegionFlags;  
  GTK_REGION_EVEN = 0,
  GTK_REGION_ODD = 1,
  GTK_REGION_FIRST = 2,
  GTK_REGION_LAST = 4,
  GTK_REGION_SORTED = 8,
--GtkReliefStyle;  
  GTK_RELIEF_NORMAL = 0,
  GTK_RELIEF_HALF,
  GTK_RELIEF_NONE,
--GtkResizeMode;  
  GTK_RESIZE_PARENT,
  GTK_RESIZE_QUEUE,	
  GTK_RESIZE_IMMEDIATE,    
--GtkScrollStep;  
  GTK_SCROLL_STEPS = 0,
  GTK_SCROLL_PAGES,
  GTK_SCROLL_ENDS,
  GTK_SCROLL_HORIZONTAL_STEPS,
  GTK_SCROLL_HORIZONTAL_PAGES,
  GTK_SCROLL_HORIZONTAL_ENDS,
--GtkScrollType;  
  GTK_SCROLL_NONE = 0,
  GTK_SCROLL_JUMP,
  GTK_SCROLL_STEP_BACKWARD,
  GTK_SCROLL_STEP_FORWARD,
  GTK_SCROLL_PAGE_BACKWARD,
  GTK_SCROLL_PAGE_FORWARD,
  GTK_SCROLL_STEP_UP,
  GTK_SCROLL_STEP_DOWN,
  GTK_SCROLL_PAGE_UP,
  GTK_SCROLL_PAGE_DOWN,
  GTK_SCROLL_STEP_LEFT,
  GTK_SCROLL_STEP_RIGHT,
  GTK_SCROLL_PAGE_LEFT,
  GTK_SCROLL_PAGE_RIGHT,
  GTK_SCROLL_START,
  GTK_SCROLL_END,
--GtkSelectionMode;
  GTK_SELECTION_NONE = 0,
  GTK_SELECTION_SINGLE,
  GTK_SELECTION_BROWSE,
  GTK_SELECTION_MULTIPLE, 
--GtkShadowType;
  GTK_SHADOW_NONE = 0,
  GTK_SHADOW_IN,
  GTK_SHADOW_OUT,
  GTK_SHADOW_ETCHED_IN,
  GTK_SHADOW_ETCHED_OUT,
--GtkStateType;
  GTK_STATE_NORMAL = 0,
  GTK_STATE_ACTIVE,
  GTK_STATE_PRELIGHT,
  GTK_STATE_SELECTED,
  GTK_STATE_INSENSITIVE,
--GtkStateFlags;
  GTK_STATE_FLAG_NORMAL = 0,
  GTK_STATE_FLAG_ACTIVE = 1,
  GTK_STATE_FLAG_PRELIGHT = 2,
  GTK_STATE_FLAG_SELECTED = 4,
  GTK_STATE_FLAG_INSENSITIVE = 8,
  GTK_STATE_FLAG_INCONSISTENT = 16,
  GTK_STATE_FLAG_FOCUSED = 32,
  
  GTK_STATE_PRESSED = 1,
  GTK_STATE_MOUSEOVER,

  GTK_TEXT_DIR_NONE = 0,
  GTK_TEXT_DIR_LTR,
  GTK_TEXT_DIR_RTL,
--GtkToolbarStyle;  
  GTK_TOOLBAR_ICONS = 0,
  GTK_TOOLBAR_TEXT,
  GTK_TOOLBAR_BOTH,
  GTK_TOOLBAR_BOTH_HORIZ,  

  GTK_UPDATE_CONTINUOUS = 0,
  GTK_UPDATE_DISCONTINUOUS,
  GTK_UPDATE_DELAYED,

  GTK_VISIBILITY_NONE = 0,
  GTK_VISIBILITY_PARTIAL,
  GTK_VISIBILITY_FULL,
--GtkWindowPosition;
  GTK_WIN_POS_NONE = 0,
  GTK_WIN_POS_CENTER,
  GTK_WIN_POS_MOUSE,
  GTK_WIN_POS_CENTER_ALWAYS,
  GTK_WIN_POS_CENTER_ON_PARENT,  
--GtkWindowType;
  GTK_WINDOW_TOPLEVEL = 0,
  GTK_WINDOW_POPUP,
--GtkSortType;
  GTK_SORT_ASCENDING = 0,
  GTK_SORT_DESCENDING,
--GtkDragResult;
  GTK_DRAG_RESULT_SUCCESS = 0,
  GTK_DRAG_RESULT_NO_TARGET,
  GTK_DRAG_RESULT_USER_CANCELLED,
  GTK_DRAG_RESULT_TIMEOUT_EXPIRED,
  GTK_DRAG_RESULT_GRAB_BROKEN,
  GTK_DRAG_RESULT_ERROR,

  PANGO_ELLIPSIZE_NONE = 0,
  PANGO_ELLIPSIZE_START,
  PANGO_ELLIPSIZE_MIDDLE,
  PANGO_ELLIPSIZE_END,

  GDK_SOLID = 0,
  GDK_TILED,
  GDK_STIPPLED,
  GDK_OPAQUE_STIPPLED,
  
  GTK_TREE_VIEW_COLUMN_GROW_ONLY = 0,
  GTK_TREE_VIEW_COLUMN_AUTOSIZE,
  GTK_TREE_VIEW_COLUMN_FIXED,
  
  GTK_TREE_VIEW_GRID_LINES_NONE = 0,
  GTK_TREE_VIEW_GRID_LINES_HORIZONTAL,
  GTK_TREE_VIEW_GRID_LINES_VERTICAL,
  GTK_TREE_VIEW_GRID_LINES_BOTH,

  GTK_TEXT_WINDOW_PRIVATE = 0,
  GTK_TEXT_WINDOW_WIDGET,
  GTK_TEXT_WINDOW_TEXT,
  GTK_TEXT_WINDOW_LEFT,
  GTK_TEXT_WINDOW_RIGHT,
  GTK_TEXT_WINDOW_TOP,
  GTK_TEXT_WINDOW_BOTTOM,

  GTK_WRAP_NONE = 0,
  GTK_WRAP_CHAR,
  GTK_WRAP_WORD,
  GTK_WRAP_WORD_CHAR,

  GDK_WINDOW_TYPE_HINT_NORMAL = 0,
  GDK_WINDOW_TYPE_HINT_DIALOG,
  GDK_WINDOW_TYPE_HINT_MENU,
  GDK_WINDOW_TYPE_HINT_TOOLBAR,
  GDK_WINDOW_TYPE_HINT_SPLASHSCREEN,
  GDK_WINDOW_TYPE_HINT_UTILITY,
  GDK_WINDOW_TYPE_HINT_DOCK,
  GDK_WINDOW_TYPE_HINT_DESKTOP,
  GDK_WINDOW_TYPE_HINT_DROPDOWN_MENU,
  GDK_WINDOW_TYPE_HINT_POPUP_MENU, 
  GDK_WINDOW_TYPE_HINT_TOOLTIP,
  GDK_WINDOW_TYPE_HINT_NOTIFICATION,
  GDK_WINDOW_TYPE_HINT_COMBO,
  GDK_WINDOW_TYPE_HINT_DND,

  GDK_ACTION_DEFAULT =  0,
  GDK_ACTION_COPY    =  1,
  GDK_ACTION_MOVE    =  2,
  GDK_ACTION_LINK    =  4,
  GDK_ACTION_PRIVATE =  8,
  GDK_ACTION_ASK     = 16,
  
  GTK_CELL_RENDERER_MODE_INERT = 0,
  GTK_CELL_RENDERER_MODE_ACTIVATABLE,
  GTK_CELL_RENDERER_MODE_EDITABLE,

  GTK_CELL_RENDERER_ACCEL_MODE_GTK = 0,
  GTK_CELL_RENDERER_ACCEL_MODE_OTHER,
  
  GTK_DEST_DEFAULT_MOTION     = 0, 
  GTK_DEST_DEFAULT_HIGHLIGHT, 
  GTK_DEST_DEFAULT_DROP, 
  GTK_DEST_DEFAULT_ALL        = 7,

  GTK_SIZE_GROUP_NONE = 0,
  GTK_SIZE_GROUP_HORIZONTAL,
  GTK_SIZE_GROUP_VERTICAL,
  GTK_SIZE_GROUP_BOTH
 
public enum 
  PANGO_STYLE_NORMAL= 0,
  PANGO_STYLE_ITALIC,
  PANGO_STYLE_OBLIQUE,
  
  PANGO_VARIANT_NORMAL=1,
  PANGO_VARIANT_SMALL_CAPS,

  PANGO_WEIGHT_THIN = 100,
  PANGO_WEIGHT_ULTRALIGHT = 200,
  PANGO_WEIGHT_LIGHT = 300,
  PANGO_WEIGHT_BOOK = 380,
  PANGO_WEIGHT_NORMAL = 400,
  PANGO_WEIGHT_MEDIUM = 500,
  PANGO_WEIGHT_SEMIBOLD = 600,
  PANGO_WEIGHT_BOLD = 700,
  PANGO_WEIGHT_ULTRABOLD = 800,
  PANGO_WEIGHT_HEAVY = 900,
  PANGO_WEIGHT_ULTRAHEAVY = 1000,
  PANGO_UNIT = 1024

public enum
  GTK_RECENT_SORT_NONE = 0,
  GTK_RECENT_SORT_MRU,
  GTK_RECENT_SORT_LRU,
  GTK_RECENT_SORT_CUSTOM
  
 public enum by * 2
  GDK_SHIFT_MASK = 1,
  GDK_LOCK_MASK,
  GDK_CONTROL_MASK,
  GDK_MOD1_MASK,
  GDK_MOD2_MASK,
  GDK_MOD3_MASK,
  GDK_MOD4_MASK,
  GDK_MOD5_MASK,
  GDK_BUTTON1_MASK,
  GDK_BUTTON2_MASK,
  GDK_BUTTON3_MASK,
  GDK_BUTTON4_MASK,
  GDK_BUTTON5_MASK
  
 public enum
  GDK_NOTHING = -1,
  GDK_DELETE,
  GDK_DESTROY,
  GDK_EXPOSE,
  GDK_MOTION_NOTIFY,
  GDK_BUTTON_PRESS,
  GDK_2BUTTON_PRESS,
  GDK_3BUTTON_PRESS,
  GDK_BUTTON_RELEASE,
  GDK_KEY_PRESS,
  GDK_KEY_RELEASE,
  GDK_ENTER_NOTIFY,
  GDK_LEAVE_NOTIFY,
  GDK_FOCUS_CHANGE,
  GDK_CONFIGURE,
  GDK_MAP,
  GDK_UNMAP
  
public enum 
  GDK_EXPOSURE_MASK             = 2,
  GDK_POINTER_MOTION_MASK       = 4,
  GDK_POINTER_MOTION_HINT_MASK  = 8,
  GDK_BUTTON_MOTION_MASK        = 16,
  GDK_BUTTON1_MOTION_MASK       = #20,
  GDK_BUTTON2_MOTION_MASK       = #40,
  GDK_BUTTON3_MOTION_MASK       = #80,
  GDK_BUTTON_PRESS_MASK         = #100,
  GDK_BUTTON_RELEASE_MASK       = #200,
  GDK_KEY_PRESS_MASK            = #400,
  GDK_KEY_RELEASE_MASK          = #800,
  GDK_ENTER_NOTIFY_MASK         = #1000,
  GDK_LEAVE_NOTIFY_MASK         = #2000,
  GDK_FOCUS_CHANGE_MASK         = #4000,
  GDK_STRUCTURE_MASK            = #8000,
  GDK_PROPERTY_CHANGE_MASK      = #10000,
  GDK_VISIBILITY_NOTIFY_MASK    = #20000,
  GDK_PROXIMITY_IN_MASK         = #40000,
  GDK_PROXIMITY_OUT_MASK        = #80000,
  GDK_SUBSTRUCTURE_MASK         = #100000,
  GDK_SCROLL_MASK               = #200000,
  GDK_ALL_EVENTS_MASK           = #3FFFFE,
  
  GDK_PROPERTY_NOTIFY   = 16,
  GDK_SELECTION_CLEAR,
  GDK_SELECTION_REQUEST,
  GDK_SELECTION_NOTIFY,
  GDK_PROXIMITY_IN,
  GDK_PROXIMITY_OUT,
  GDK_DRAG_ENTER,
  GDK_DRAG_LEAVE,
  GDK_DRAG_MOTION,
  GDK_DRAG_STATUS,
  GDK_DROP_START,
  GDK_DROP_FINISHED,
  GDK_CLIENT_EVENT,
  GDK_VISIBILITY_NOTIFY,
  GDK_NO_EXPOSE,
  GDK_SCROLL,
  GDK_WINDOW_STATE,
  GDK_SETTING,
  GDK_OWNER_CHANGE,
  GDK_GRAB_BROKEN,
  GDK_DAMAGE,
  
  GTK_PAGE_ORIENTATION_PORTRAIT = 0,
  GTK_PAGE_ORIENTATION_LANDSCAPE,
  GTK_PAGE_ORIENTATION_REVERSE_PORTRAIT,
  GTK_PAGE_ORIENTATION_REVERSE_LANDSCAPE,
  
  GTK_PRINT_OPERATION_ACTION_PRINT_DIALOG = 0,
  GTK_PRINT_OPERATION_ACTION_PRINT,
  GTK_PRINT_OPERATION_ACTION_PREVIEW,
  GTK_PRINT_OPERATION_ACTION_EXPORT,

  GTK_PRINT_DUPLEX_SIMPLE = 0,
  GTK_PRINT_DUPLEX_HORIZONTAL,
  GTK_PRINT_DUPLEX_VERTICAL,

  GTK_PRINT_PAGES_ALL = 0,
  GTK_PRINT_PAGES_CURRENT,
  GTK_PRINT_PAGES_RANGES,
  GTK_PRINT_PAGES_SELECTION,
  
  GTK_PRINT_QUALITY_LOW = 0,
  GTK_PRINT_QUALITY_NORMAL,
  GTK_PRINT_QUALITY_HIGH,
  GTK_PRINT_QUALITY_DRAFT,
  
  GTK_STYLE_PROVIDER_PRIORITY_FALLBACK = 1,
  GTK_STYLE_PROVIDER_PRIORITY_THEME = 200,
  GTK_STYLE_PROVIDER_PRIORITY_SETTINGS = 400,
  GTK_STYLE_PROVIDER_PRIORITY_APPLICATION = 600,
  GTK_STYLE_PROVIDER_PRIORITY_USER = 800,
        
  GTK_UNIT_PIXEL = 0,
  GTK_UNIT_POINTS,
  GTK_UNIT_INCH,
  GTK_UNIT_MM,
  
  CAIRO_FORMAT_INVALID = -1,
  CAIRO_FORMAT_ARGB32 = 0,
  CAIRO_FORMAT_RGB24,
  CAIRO_FORMAT_A8,
  CAIRO_FORMAT_A1,
  CAIRO_FORMAT_RGB16_565,
  
  CAIRO_OPERATOR_CLEAR = 0,
  CAIRO_OPERATOR_SOURCE,
  CAIRO_OPERATOR_OVER,
  CAIRO_OPERATOR_IN,
  CAIRO_OPERATOR_OUT,
  CAIRO_OPERATOR_ATOP,
  CAIRO_OPERATOR_DEST,
  CAIRO_OPERATOR_DEST_OVER,
  CAIRO_OPERATOR_DEST_IN,
  CAIRO_OPERATOR_DEST_OUT,
  CAIRO_OPERATOR_DEST_ATOP,
  CAIRO_OPERATOR_XOR,
  CAIRO_OPERATOR_ADD,
  CAIRO_OPERATOR_SATURATE,
  CAIRO_OPERATOR_MULTIPLY,
  CAIRO_OPERATOR_SCREEN,
  CAIRO_OPERATOR_OVERLAY,
  CAIRO_OPERATOR_DARKEN,
  CAIRO_OPERATOR_LIGHTEN,
  CAIRO_OPERATOR_COLOR_DODGE,
  CAIRO_OPERATOR_COLOR_BURN,
  CAIRO_OPERATOR_HARD_LIGHT,
  CAIRO_OPERATOR_SOFT_LIGHT,
  CAIRO_OPERATOR_DIFFERENCE,
  CAIRO_OPERATOR_EXCLUSION,
  CAIRO_OPERATOR_HSL_HUE,
  CAIRO_OPERATOR_HSL_SATURATION,
  CAIRO_OPERATOR_HSL_COLOR,
  CAIRO_OPERATOR_HSL_LUMINOSITY
    
/*----==[ END ]==----*/
9.0